Technology Stats

‌‌
The Technology Stats endpoint will provide you with historical data on the number of domains across different countries and languages that use the specified technology.

Historical data is available from 2022-10-31.

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live API call can contain only one task.
 
Description of the fields for setting a task:

Field nameTypeDescription
technologystring

target technology
required field
you can find the full list of technologies you can specify here on this page
example:
"Salesforce"

date_fromstring

starting date of the time range
optional field
minimum value: 2022-10-31
if you don't specify this field, the minimum value will be used by default
date format: "yyyy-mm-dd"
example:
"2023-06-01"

date_tostring

ending date of the time range
optional field
if you don't specify this field, the today's date will be used by default
date format: "yyyy-mm-dd"
example:
"2023-01-15"

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response

As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        technologystring

target technology

        date_fromstring

starting date of the time range

        date_tostring

ending date of the time range

        items_countobject

number of items in the results array

            typestring

type of the item = 'technology_stats_item'

            datestring

date for which the data is provided

            domains_countinteger

number of domains that use the specified technology

            countriesobject

distribution of websites by country
contains country codes and number of websites per country

            languagesobject

distribution of websites by language
contains language codes and number of websites per language

            domains_rankobject

distribution of websites by backlink rank
contains domain rank ranges and number of websites per range
learn more about rank and how it is calculated in this help center article


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/domain_analytics/technologies/technology_stats/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
    	"technology": "jQuery",
    	"date_from": "2022-10-31",
    	"date_to": "2023-06-01"
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');
$post_array = array();
// simple way to set a task
$post_array[] = array(
   "technology" => "jQuery",
   "date_from" => "2022-10-31",
   "date_to" => "2023-06-01"
);
try {
   // POST /v3/domain_analytics/technologies/technology_stats/live
   $result = $client->post('/v3/domain_analytics/technologies/technology_stats/live', $post_array);
   print_r($result);
   // do something with post result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const post_array = [];

post_array.push({
   "technology" => "jQuery",
   "date_from" => "2022-10-31",
   "date_to" => "2023-06-01"
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/domain_analytics/technologies/technology_stats/live',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
    technology="jQuery",
    date_from="2022-10-31",
    date_to="2023-06-01"
)
# POST /v3/domain_analytics/technologies/technology_stats/live
response = client.post("/v3/domain_analytics/technologies/technology_stats/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task domain_analytics_technologies_technology_stats_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            postData.Add(new
            {
                technology = "dataforseo.com",
                date_from = "2022-10-31",
                date_to = "2023-06-01"
            });
            // POST /v3/domain_analytics/technologies/technology_stats/live
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/domain_analytics/technologies/technology_stats/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
    "version": "0.1.20221214",
    "status_code": 20000,
    "status_message": "Ok.",
    "time": "0.1010 sec.",
    "cost": 0.018,
    "tasks_count": 1,
    "tasks_error": 0,
    "tasks": [
        {
            "id": "06131725-1535-0558-0000-e9fecbbe015f",
            "status_code": 20000,
            "status_message": "Ok.",
            "time": "0.0280 sec.",
            "cost": 0.018,
            "result_count": 1,
            "path": [
                "v3",
                "domain_analytics",
                "technologies",
                "technology_stats",
                "live"
            ],
            "data": {
                "api": "domain_analytics",
                "function": "technology_stats",
                "se": "technologies",
                "technology": "jQuery",
                "date_from": "2022-10-31",
                "date_to": "2023-06-01"
            },
            "result": [
                {
                    "technology": "jQuery",
                    "date_from": "2022-10-31",
                    "date_to": "2023-06-01",
                    "items_count": 8,
                    "items": [
                        {
                            "type": "technology_stats_item",
                            "date": "2022-10-31 00:00:00 +00:00",
                            "domains_count": 20565565,
                            "countries": {
                                "US": 1852827,
                                "DE": 1240993,
                                "RU": 897037,
                                "WW": 761210,
                                "GB": 658372,
                                "JP": 496614,
                                "NL": 476210,
                                "PL": 448030,
                                "FR": 441386,
                                "BR": 406982,
                                "AU": 316230,
                                "CA": 298701,
                                "CN": 267550,
                                "IN": 239792,
                                "ES": 239480,
                                "UA": 205024,
                                "VN": 195964,
                                "IT": 172774,
                                "HU": 149712,
                                "CH": 139340,
                                "DK": 138294,
                                "SE": 132201,
                                "KR": 127121,
                                "TR": 117539,
                                "ZA": 115791,
                                "MX": 115486,
                                "CZ": 113583,
                                "AR": 108236,
                                "ID": 104005,
                                "GR": 98666,
                                "RO": 93954,
                                "SK": 89123,
                                "BE": 86998,
                                "AT": 62973,
                                "CO": 62544,
                                "PT": 62146,
                                "NO": 62128,
                                "NZ": 58529,
                                "FI": 58342,
                                "CL": 57336,
                                "IE": 52414,
                                "IL": 51789,
                                "MY": 50256,
                                "PH": 43118,
                                "TW": 40869,
                                "AE": 39151,
                                "KZ": 38693,
                                "SG": 37473,
                                "PK": 35947,
                                "HR": 34630,
                                "EE": 33372,
                                "BG": 33035,
                                "TH": 32177,
                                "SA": 31076,
                                "LT": 30941,
                                "RS": 28077,
                                "NG": 26751,
                                "KE": 25045,
                                "BD": 24517,
                                "PE": 23721,
                                "SI": 22124,
                                "EG": 19677,
                                "TK": 17925,
                                "LV": 17433,
                                "LK": 15566,
                                "VE": 15502,
                                "MK": 15077,
                                "MA": 14637,
                                "HK": 13823,
                                "CY": 13288,
                                "AZ": 12517,
                                "BH": 12065,
                                "IR": 12013,
                                "EC": 11750,
                                "UY": 10886,
                                "PA": 9664,
                                "GH": 9614,
                                "KH": 9390,
                                "BY": 9005,
                                "MM": 8607,
                                "GE": 8545,
                                "AO": 8444,
                                "DZ": 8199,
                                "UZ": 7854,
                                "CI": 7427,
                                "CF": 7314,
                                "CR": 7291,
                                "MT": 7113,
                                "NP": 7028,
                                "AM": 6755,
                                "GT": 6726,
                                "LU": 6303,
                                "AI": 6213,
                                "TN": 6190,
                                "BA": 6146,
                                "GA": 5633,
                                "IO": 5602,
                                "JO": 5302,
                                "CM": 5012,
                                "PY": 4972,
                                "SN": 4713,
                                "ML": 4462,
                                "PW": 4282,
                                "GQ": 4154,
                                "AL": 3697,
                                "BF": 3688,
                                "BO": 3663,
                                "SV": 3486,
                                "DO": 3407,
                                "TZ": 3270,
                                "KG": 3122,
                                "CC": 2917,
                                "ME": 2906,
                                "ZW": 2554,
                                "RE": 2010,
                                "NI": 1940,
                                "UG": 1739,
                                "TV": 1531,
                                "BZ": 1506,
                                "NU": 1489,
                                "QA": 1352,
                                "MD": 1183,
                                "PS": 1146,
                                "TJ": 1081,
                                "RW": 872,
                                "FO": 824,
                                "AF": 804,
                                "MZ": 783,
                                "LB": 711,
                                "SO": 709,
                                "NC": 694,
                                "IS": 672,
                                "BW": 599,
                                "MV": 585,
                                "HN": 584,
                                "KW": 577,
                                "OM": 564,
                                "NA": 486,
                                "IQ": 455,
                                "CX": 450,
                                "MG": 437,
                                "BM": 416,
                                "KY": 409,
                                "ZM": 399,
                                "SD": 378,
                                "MO": 356,
                                "CV": 344,
                                "SY": 315,
                                "JM": 307,
                                "MC": 303,
                                "TT": 303,
                                "ET": 300,
                                "TG": 277,
                                "BJ": 271,
                                "BI": 261,
                                "BT": 244,
                                "FJ": 244,
                                "PG": 230,
                                "GY": 222,
                                "MW": 219,
                                "PM": 208,
                                "MR": 200,
                                "GI": 197,
                                "HT": 194,
                                "MN": 192,
                                "BN": 176,
                                "GM": 175,
                                "GD": 173,
                                "LA": 173,
                                "WS": 172,
                                "PF": 163,
                                "MU": 162,
                                "SL": 161,
                                "LC": 157,
                                "LS": 151,
                                "LI": 145,
                                "BB": 142,
                                "TL": 138,
                                "GG": 130,
                                "LY": 128,
                                "SZ": 128,
                                "GP": 126,
                                "SM": 124,
                                "TO": 123,
                                "FM": 120,
                                "UK": 115,
                                "YE": 115,
                                "YT": 106,
                                "SX": 104,
                                "CW": 102,
                                "LR": 94,
                                "BS": 90,
                                "VC": 88,
                                "CU": 86,
                                "DM": 85,
                                "KP": 82,
                                "CG": 81,
                                "CD": 77,
                                "AS": 71,
                                "AW": 64,
                                "AG": 62,
                                "WF": 62,
                                "SB": 61,
                                "NE": 59,
                                "ST": 59,
                                "PR": 56,
                                "GL": 52,
                                "KN": 50,
                                "MQ": 48,
                                "GN": 47,
                                "AD": 43,
                                "KI": 42,
                                "VI": 42,
                                "40": 41,
                                "SC": 40,
                                "SS": 39,
                                "SH": 37,
                                "TD": 37,
                                "MP": 35,
                                "SR": 35,
                                "XK": 35,
                                "BQ": 34,
                                "TM": 33,
                                "IM": 31,
                                "GW": 29,
                                "MS": 29,
                                "JE": 28,
                                "FK": 23,
                                "KM": 21,
                                "TC": 21,
                                "GF": 20,
                                "VU": 19,
                                "VA": 18,
                                "NF": 16,
                                "DJ": 15,
                                "AX": 12,
                                "GU": 10,
                                "MH": 10,
                                "PN": 9,
                                "EU": 8,
                                "CK": 7,
                                "VG": 7,
                                "NR": 5,
                                "AC": 2,
                                "XD": 2,
                                "ER": 1
                            },
                            "languages": {
                                "en": 8271032,
                                "de": 1384858,
                                "ja": 1048683,
                                "ru": 840571,
                                "es": 797208,
                                "fr": 672962,
                                "nl": 419162,
                                "pl": 398209,
                                "pt": 398095,
                                "zh": 357357,
                                "it": 266421,
                                "vi": 190273,
                                "tr": 160010,
                                "ko": 150050,
                                "fa": 128879,
                                "hu": 116391,
                                "da": 100662,
                                "sv": 100255,
                                "cs": 87088,
                                "el": 59281,
                                "id": 53538,
                                "ro": 52953,
                                "ar": 51338,
                                "fi": 49966,
                                "he": 48099,
                                "sk": 42677,
                                "uk": 42242,
                                "th": 35937,
                                "bg": 35302,
                                "nb": 33745,
                                "hr": 22238,
                                "et": 21043,
                                "lt": 18373,
                                "sl": 17730,
                                "ca": 17449,
                                "sr": 17383,
                                "lv": 9180,
                                "no": 5456,
                                "bs": 4580,
                                "kr": 3241,
                                "az": 3123,
                                "is": 3011,
                                "ka": 3008,
                                "mk": 2887,
                                "sq": 1909,
                                "br": 1528,
                                "gl": 1484,
                                "eu": 1461,
                                "hy": 1347,
                                "uz": 904,
                                "nn": 841,
                                "hi": 849,
                                "se": 812,
                                "mn": 739,
                                "ms": 639,
                                "bn": 639,
                                "kk": 645,
                                "si": 512,
                                "af": 472,
                                "be": 404,
                                "ur": 390,
                                "fo": 363,
                                "cy": 259,
                                "ne": 200,
                                "am": 160,
                                "km": 153,
                                "my": 148,
                                "la": 140,
                                "ta": 142,
                                "mr": 118,
                                "lo": 109,
                                "ga": 98,
                                "ml": 76,
                                "ba": 75,
                                "dv": 68,
                                "ps": 65,
                                "lb": 61,
                                "gu": 60,
                                "sw": 59,
                                "tk": 57,
                                "kn": 55,
                                "ku": 53,
                                "te": 54,
                                "tg": 53,
                                "ky": 51,
                                "kl": 28,
                                "sa": 27,
                                "gsw": 25,
                                "co": 24,
                                "oc": 23,
                                "pa": 24,
                                "mt": 22,
                                "ug": 22,
                                "so": 19,
                                "fy": 17,
                                "gd": 16,
                                "pap": 16,
                                "prs": 16,
                                "rm": 16,
                                "bo": 15,
                                "rw": 15,
                                "tt": 15,
                                "or": 11,
                                "sd": 11,
                                "mi": 11,
                                "ve": 8,
                                "as": 7,
                                "fil": 7,
                                "iv": 5,
                                "ha": 5,
                                "hsb": 5,
                                "yi": 5,
                                "st": 4,
                                "zu": 4,
                                "ig": 2,
                                "quz": 2,
                                "ti": 2,
                                "tn": 2,
                                "xh": 2,
                                "yo": 2,
                                "yue": 1,
                                "ff": 1,
                                "gn": 1,
                                "haw": 1,
                                "ii": 1,
                                "iu": 1,
                                "ks": 1,
                                "wo": 1
                            },
                            "domains_rank": {
                                "0-100": 10467828,
                                "101-200": 6069422,
                                "201-300": 2870120,
                                "301-400": 925938,
                                "401-500": 220977,
                                "501-600": 68363,
                                "601-700": 35118,
                                "701-800": 1151,
                                "801-900": 23,
                                "901-1000": 3
                            }
                        }
                    ]
                }
            ]
        }
    ]
}